org.keycloak.broker.provider

## Class AbstractIdentityProviderFactory<T extends IdentityProvider>

- java.lang.Object
- - org.keycloak.broker.provider.AbstractIdentityProviderFactory<T>

- All Implemented Interfaces:
    IdentityProviderFactory<T>, ProviderFactory<T>
  Direct Known Subclasses:
    BitbucketIdentityProviderFactory, FacebookIdentityProviderFactory, GitHubIdentityProviderFactory, GitLabIdentityProviderFactory, GoogleIdentityProviderFactory, InstagramIdentityProviderFactory, KeycloakOIDCIdentityProviderFactory, LinkedInIdentityProviderFactory, MicrosoftIdentityProviderFactory, OIDCIdentityProviderFactory, OpenshiftV3IdentityProviderFactory, OpenshiftV4IdentityProviderFactory, PayPalIdentityProviderFactory, SAMLIdentityProviderFactory, StackoverflowIdentityProviderFactory, TwitterIdentityProviderFactory

      public abstract class AbstractIdentityProviderFactory<T extends IdentityProvider>
      extends Object
      implements IdentityProviderFactory<T>

  Author:
    Pedro Igor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractIdentityProviderFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` This is called when the server shuts down.
    `T` | `create(KeycloakSession session)`
    `void` | `init(Config.Scope config)` Only called once when the factory is first created.
    `Map<String,String>` | `parseConfig(KeycloakSession session, InputStream inputStream)` Creates an `IdentityProvider` based on the configuration from `inputStream`.
    `void` | `postInit(KeycloakSessionFactory factory)` Called after all provider factories have been initialized

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.broker.provider.IdentityProviderFactory

      `create, createConfig, getName`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `getId, order`

- - ### Constructor Detail

    - #### AbstractIdentityProviderFactory

          public AbstractIdentityProviderFactory()

  - ### Method Detail

    - #### close

          public void close()

      Description copied from interface: `ProviderFactory`
      This is called when the server shuts down.
      Specified by:
        `close` in interface `ProviderFactory<T extends IdentityProvider>`

    - #### init

          public void init(Config.Scope config)

      Description copied from interface: `ProviderFactory`
      Only called once when the factory is first created. This config is pulled from keycloak_server.json
      Specified by:
        `init` in interface `ProviderFactory<T extends IdentityProvider>`

    - #### postInit

          public void postInit(KeycloakSessionFactory factory)

      Description copied from interface: `ProviderFactory`
      Called after all provider factories have been initialized
      Specified by:
        `postInit` in interface `ProviderFactory<T extends IdentityProvider>`

    - #### create

          public T create(KeycloakSession session)

      Specified by:
        `create` in interface `ProviderFactory<T extends IdentityProvider>`

    - #### parseConfig

          public Map<String,String> parseConfig(KeycloakSession session,
                                                InputStream inputStream)

      Description copied from interface: `IdentityProviderFactory`

      Creates an `IdentityProvider` based on the configuration from `inputStream`.

      Specified by:
        `parseConfig` in interface `IdentityProviderFactory<T extends IdentityProvider>`
        `inputStream` - The input stream from where configuration will be loaded from..
      Returns:

Copyright © 2021 JBoss by Red Hat. All rights reserved.